%define tarname	TraitsGUI
%define name	python-enthought-traitsgui
%define version 3.0.3
%define release	%mkrel 2

Summary:	Enthought Tool Suite - TraitsGUI project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.lzma
# Avoid a problem in setup.py by just deleting the problematic bit,
# we don't need it - AdamW 2008/12
Patch0:		python-enthought-traitsgui-3.0.3-setup.patch
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/traits_gui/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Obsoletes:	python-enthought-traits-ui
Requires:	python-enthought-enthoughtbase >= 3.0.1
Requires:	python-enthought-traits >= 3.0.3
Suggests:	python-enthought-traitsbackendqt >= 3.0.3
Suggests:	python-enthought-traitsbackendwx >= 3.0.3
BuildRequires:	python-setuptools >= 0.6c8
%py_requires -d

%description
If you want to display Traits-based user interfaces, you need, in
addition to the Traits project:

* The TraitsGUI project
* A Python GUI toolkit, either wxPython or PyQt
* A "backend" connector, either TraitsBackendWX or TraitsBackendQt

The TraitsGUI project contains a toolkit-independent GUI abstraction
layer (known as Pyface), which is used to support the "visualization"
features of the Traits package. Thus, you can write code in terms of
the Traits API (view, items, editors, etc.), and let TraitsGUI and
your selected toolkit and backend take care of the details of
displaying them.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1 -b .setup

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}

%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples/ docs/*.pdf



%changelog
* Wed Dec 31 2008 Adam Williamson <awilliamson@mandriva.com> 3.0.3-2mdv2009.1
+ Revision: 321620
- rebuild with python 2.6
- add setup.patch: avoid a problem in setup.py

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 313662
- Update to 3.0.3.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.2-1mdv2009.1
+ Revision: 298932
- import python-enthought-traitsgui


